---
title: Animation()
slug: Web/API/Animation/Animation
tags:
  - API
  - Animation
  - Animations
  - Constructor
  - Reference
  - web animations api
---
<p>{{ APIRef("Web Animations API") }}</p>

<p>The <strong><code>Animation()</code></strong> constructor of the <a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a> returns a new <code>Animation</code> object instance.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>animation</em> = new Animation([<em>effect</em>][, <em>timeline</em>]);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>effect</code> {{optional_inline}}</dt>
 <dd>The target effect, as an object based on the {{domxref("AnimationEffectReadOnly")}} interface, to assign to the animation. Although in the future other effects such as <code>SequenceEffect</code>s or <code>GroupEffect</code>s might be possible, the only kind of effect currently available is {{domxref("KeyframeEffect")}}. This can be <code>null</code> (which is the default) to indicate that there should be no effect applied.</dd>
 <dt><code>timeline</code> {{optional_inline}}</dt>
 <dd>Specifies the <code>timeline</code> with which to associate the animation, as an object of a type based on the {{domxref("AnimationTimeline")}} interface. Currently the only timeline type available is {{domxref("DocumentTimeline")}}, but in the future there my be timelines associated with gestures or scrolling, for example. The default value is {{domxref("Document.timeline")}}, but this can be set to <code>null</code> as well.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>In the <a href="http://codepen.io/rachelnabors/pen/eJyWzm/?editors=0010">Follow the White Rabbit example</a>, the <code>Animation()</code> constructor is used to create an <code>Animation</code> for the <code>rabbitDownKeyframes</code> using the document's <code>timeline</code>:</p>

<pre class="brush: js notranslate">var rabbitDownAnimation = new Animation(rabbitDownKeyframes, document.timeline);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-animation-animation', 'Animation()' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Animation.Animation")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("Animation")}}</li>
</ul>
